## golang-github-smallstep-linkedca 0.23.0

=== debian/changelog ===
golang-github-smallstep-linkedca (0.23.0-1) unstable; urgency=medium

  * Initial release (Closes: #1113693)

 -- Simon Josefsson <simon@josefsson.org>  Mon, 01 Sep 2025 09:13:36 +0200

golang-step-linkedca (0.19.0-1) unstable; urgency=medium

  * d/watch: upstream tags its releases now
  * New upstream version 0.19.0
  * d/control: Update dependencies

 -- Peymaneh <peymaneh@posteo.net>  Thu, 24 Nov 2022 19:47:06 +0100

golang-step-linkedca (0.0~git20210611.27424aa-2) unstable; urgency=medium

  * Initial release (Closes: #991047)

 -- Peymaneh <peymaneh@posteo.net>  Thu, 24 Nov 2022 12:17:40 +0100
