=== debian/control ===
Source: golang-github-smallstep-linkedca
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Peymaneh <peymaneh@posteo.net>,
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-stretchr-testify-dev <!nocheck>,
 golang-google-grpc-dev,
 golang-google-protobuf-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-linkedca
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-linkedca.git
Homepage: https://github.com/smallstep/linkedca
XS-Go-Import-Path: github.com/smallstep/linkedca

Package: golang-github-smallstep-linkedca-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-google-grpc-dev,
 golang-google-protobuf-dev,
 ${misc:Depends},
Description: Support for Linked CAs using protocol buffers and gRPC (Go library)
 This package implements Types and functions supporting Linked CAs
 using protocol buffers and gRPC.
 .
 For documentation see https://pkg.go.dev/github.com/smallstep/linkedca
 .
 This package contains the Go development library.
