## golang-github-smallstep-linkedca 0.24.0

=== debian/changelog ===
golang-github-smallstep-linkedca (0.24.0-1) unstable; urgency=medium

  * New upstream version 0.24.0
  * Use watch v5 format.
  * Remove Rules-Requires-Root: no.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 28 Sep 2025 14:32:02 +0200
