## golang-github-smallstep-linkedca 0.25.0

=== debian/changelog ===
golang-github-smallstep-linkedca (0.25.0-1) unstable; urgency=medium

  * Salsa lrc modernization.
  * New upstream version 0.25.0
  * Standards-Version: 4.7.3
  * Improve Salsa CI

 -- Simon Josefsson <simon@josefsson.org>  Sun, 28 Dec 2025 20:40:00 +0100
