=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  golang-google-grpc-dev,
  golang-google-protobuf-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-linkedca
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-linkedca.git
 Homepage: https://github.com/smallstep/linkedca
